Sync a client and all related resources
curl --request POST \
--url https://api.artu.ai/clients/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {}
},
"US": "<unknown>"
},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"contactMethods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"value": "<string>",
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"country": "MX",
"currency": "<string>",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<string>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {},
"_delete": true
}
],
"linkedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"metadata": {}
}
],
"replaceMode": true
}
'import requests
url = "https://api.artu.ai/clients/sync"
payload = {
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
},
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"isPrimary": True,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {}
},
"US": "<unknown>"
},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"contactMethods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": True,
"value": "<string>",
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"country": "MX",
"currency": "<string>",
"isPrimary": True,
"isActive": True,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<string>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {},
"_delete": True
}
],
"linkedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
},
"metadata": {}
}
],
"replaceMode": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client: {
type: 'individual',
name: '<string>',
scopes: [],
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
},
addresses: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'home',
isPrimary: true,
street: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
externalId: '<string>',
metadata: {},
scopeData: {
MX: {
exteriorNumber: '<string>',
interiorNumber: '<string>',
neighborhood: '<string>',
municipality: '<string>',
betweenStreets: '<string>',
reference: '<string>',
cnbv: {}
},
US: '<unknown>'
},
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
contactMethods: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isPrimary: true,
value: '<string>',
label: '<string>',
externalId: '<string>',
metadata: {},
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
bankAccounts: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountNumber: '<string>',
bankName: '<string>',
bankCode: '<string>',
country: 'MX',
currency: '<string>',
isPrimary: true,
isActive: true,
label: '<string>',
externalId: '<string>',
metadata: {},
clabe: '<string>',
codigoBanco: '<string>',
codigoPlaza: '<string>',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
documents: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expiresAt: '2023-12-25',
externalId: '<string>',
metadata: {},
fields: {},
_delete: true
}
],
linkedClients: [
{
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
child: {
type: 'individual',
name: '<string>',
scopes: [],
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
},
metadata: {}
}
],
replaceMode: true
})
};
fetch('https://api.artu.ai/clients/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'client' => [
'type' => 'individual',
'name' => '<string>',
'scopes' => [
],
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
],
'addresses' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'type' => 'home',
'isPrimary' => true,
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'exteriorNumber' => '<string>',
'interiorNumber' => '<string>',
'neighborhood' => '<string>',
'municipality' => '<string>',
'betweenStreets' => '<string>',
'reference' => '<string>',
'cnbv' => [
]
],
'US' => '<unknown>'
],
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'contactMethods' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isPrimary' => true,
'value' => '<string>',
'label' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'bankAccounts' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'accountNumber' => '<string>',
'bankName' => '<string>',
'bankCode' => '<string>',
'country' => 'MX',
'currency' => '<string>',
'isPrimary' => true,
'isActive' => true,
'label' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'clabe' => '<string>',
'codigoBanco' => '<string>',
'codigoPlaza' => '<string>',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'documents' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expiresAt' => '2023-12-25',
'externalId' => '<string>',
'metadata' => [
],
'fields' => [
],
'_delete' => true
]
],
'linkedClients' => [
[
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'child' => [
'type' => 'individual',
'name' => '<string>',
'scopes' => [
],
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
],
'metadata' => [
]
]
],
'replaceMode' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/sync"
payload := strings.NewReader("{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/clients/sync")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}"
response = http.request(request)
puts response.read_body{
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": "<unknown>",
"AVI": "<unknown>",
"INM": "<unknown>",
"JYS": "<unknown>",
"MJR": "<unknown>",
"MPC": "<unknown>",
"TSC": "<unknown>",
"VEH": "<unknown>"
},
"cnbv": {
"TRANSMISOR": "<unknown>"
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
},
"addresses": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"contactMethods": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"bankAccounts": {
"created": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"updated": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"documents": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}Clients
Sync a client and all related resources
POST
/
clients
/
sync
Sync a client and all related resources
curl --request POST \
--url https://api.artu.ai/clients/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {}
},
"US": "<unknown>"
},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"contactMethods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"value": "<string>",
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"country": "MX",
"currency": "<string>",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<string>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": true
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {},
"_delete": true
}
],
"linkedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<string>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"metadata": {}
}
],
"replaceMode": true
}
'import requests
url = "https://api.artu.ai/clients/sync"
payload = {
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
},
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "home",
"isPrimary": True,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {}
},
"US": "<unknown>"
},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"contactMethods": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": True,
"value": "<string>",
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"country": "MX",
"currency": "<string>",
"isPrimary": True,
"isActive": True,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<string>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_delete": True
}
],
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": "2023-12-25",
"externalId": "<string>",
"metadata": {},
"fields": {},
"_delete": True
}
],
"linkedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child": {
"type": "individual",
"name": "<string>",
"scopes": [],
"nationalities": "<string>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<string>",
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": { "username": "<string>" },
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
} }
},
"US": "<unknown>"
}
},
"metadata": {}
}
],
"replaceMode": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client: {
type: 'individual',
name: '<string>',
scopes: [],
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
},
addresses: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'home',
isPrimary: true,
street: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>',
externalId: '<string>',
metadata: {},
scopeData: {
MX: {
exteriorNumber: '<string>',
interiorNumber: '<string>',
neighborhood: '<string>',
municipality: '<string>',
betweenStreets: '<string>',
reference: '<string>',
cnbv: {}
},
US: '<unknown>'
},
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
contactMethods: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isPrimary: true,
value: '<string>',
label: '<string>',
externalId: '<string>',
metadata: {},
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
bankAccounts: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountNumber: '<string>',
bankName: '<string>',
bankCode: '<string>',
country: 'MX',
currency: '<string>',
isPrimary: true,
isActive: true,
label: '<string>',
externalId: '<string>',
metadata: {},
clabe: '<string>',
codigoBanco: '<string>',
codigoPlaza: '<string>',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_delete: true
}
],
documents: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expiresAt: '2023-12-25',
externalId: '<string>',
metadata: {},
fields: {},
_delete: true
}
],
linkedClients: [
{
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
child: {
type: 'individual',
name: '<string>',
scopes: [],
nationalities: '<string>',
externalId: '<string>',
metadata: {},
birthDate: '2023-12-25',
middleName: '<string>',
lastName: '<string>',
scopeData: {
MX: {
rfc: '<string>',
curp: '<string>',
actividadVulnerable: {
ARI: {},
AVI: {username: '<string>'},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {numeroCuenta: '<string>', claveSujetoObligado: '<string>'}}
},
US: '<unknown>'
}
},
metadata: {}
}
],
replaceMode: true
})
};
fetch('https://api.artu.ai/clients/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/sync",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'client' => [
'type' => 'individual',
'name' => '<string>',
'scopes' => [
],
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
],
'addresses' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'type' => 'home',
'isPrimary' => true,
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'postalCode' => '<string>',
'country' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'exteriorNumber' => '<string>',
'interiorNumber' => '<string>',
'neighborhood' => '<string>',
'municipality' => '<string>',
'betweenStreets' => '<string>',
'reference' => '<string>',
'cnbv' => [
]
],
'US' => '<unknown>'
],
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'contactMethods' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'isPrimary' => true,
'value' => '<string>',
'label' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'bankAccounts' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'accountNumber' => '<string>',
'bankName' => '<string>',
'bankCode' => '<string>',
'country' => 'MX',
'currency' => '<string>',
'isPrimary' => true,
'isActive' => true,
'label' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'clabe' => '<string>',
'codigoBanco' => '<string>',
'codigoPlaza' => '<string>',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'_delete' => true
]
],
'documents' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expiresAt' => '2023-12-25',
'externalId' => '<string>',
'metadata' => [
],
'fields' => [
],
'_delete' => true
]
],
'linkedClients' => [
[
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'child' => [
'type' => 'individual',
'name' => '<string>',
'scopes' => [
],
'nationalities' => '<string>',
'externalId' => '<string>',
'metadata' => [
],
'birthDate' => '2023-12-25',
'middleName' => '<string>',
'lastName' => '<string>',
'scopeData' => [
'MX' => [
'rfc' => '<string>',
'curp' => '<string>',
'actividadVulnerable' => [
'ARI' => [
],
'AVI' => [
'username' => '<string>'
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
'numeroCuenta' => '<string>',
'claveSujetoObligado' => '<string>'
]
]
],
'US' => '<unknown>'
]
],
'metadata' => [
]
]
],
'replaceMode' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/sync"
payload := strings.NewReader("{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/clients/sync")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/sync")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"client\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"addresses\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"home\",\n \"isPrimary\": true,\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"country\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"exteriorNumber\": \"<string>\",\n \"interiorNumber\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"municipality\": \"<string>\",\n \"betweenStreets\": \"<string>\",\n \"reference\": \"<string>\",\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n },\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"contactMethods\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"bankAccounts\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"accountNumber\": \"<string>\",\n \"bankName\": \"<string>\",\n \"bankCode\": \"<string>\",\n \"country\": \"MX\",\n \"currency\": \"<string>\",\n \"isPrimary\": true,\n \"isActive\": true,\n \"label\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"clabe\": \"<string>\",\n \"codigoBanco\": \"<string>\",\n \"codigoPlaza\": \"<string>\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"_delete\": true\n }\n ],\n \"documents\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expiresAt\": \"2023-12-25\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"fields\": {},\n \"_delete\": true\n }\n ],\n \"linkedClients\": [\n {\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"child\": {\n \"type\": \"individual\",\n \"name\": \"<string>\",\n \"scopes\": [],\n \"nationalities\": \"<string>\",\n \"externalId\": \"<string>\",\n \"metadata\": {},\n \"birthDate\": \"2023-12-25\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"scopeData\": {\n \"MX\": {\n \"rfc\": \"<string>\",\n \"curp\": \"<string>\",\n \"actividadVulnerable\": {\n \"ARI\": {},\n \"AVI\": {\n \"username\": \"<string>\"\n },\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"numeroCuenta\": \"<string>\",\n \"claveSujetoObligado\": \"<string>\"\n }\n }\n },\n \"US\": \"<unknown>\"\n }\n },\n \"metadata\": {}\n }\n ],\n \"replaceMode\": true\n}"
response = http.request(request)
puts response.read_body{
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": "<unknown>",
"AVI": "<unknown>",
"INM": "<unknown>",
"JYS": "<unknown>",
"MJR": "<unknown>",
"MPC": "<unknown>",
"TSC": "<unknown>",
"VEH": "<unknown>"
},
"cnbv": {
"TRANSMISOR": "<unknown>"
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
},
"addresses": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {
"localidad": "10100005"
}
}
},
"US": "<unknown>"
}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"contactMethods": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "email",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"bankAccounts": {
"created": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"updated": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "MX",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"documents": {
"created": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"updated": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "identity",
"scope": "MX",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"deleted": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Maximum array length:
250- Option 1
- Option 2
Show child attributes
Show child attributes
Maximum array length:
250- Option 1
- Option 2
Show child attributes
Show child attributes
Maximum array length:
250- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Maximum array length:
250- Option 1
- Option 2
Show child attributes
Show child attributes
Maximum array length:
250Show child attributes
Show child attributes
Was this page helpful?
